# $Revision: 1.17 $, $Date: 2006/12/20 12:05:26 $
Summary:	libPRepS is the PRepS client/server library
Summary(pl):	libPRepS to biblioteka dla klienta/serwera PRepS
Name:		libpreps
Version:	1.9.0
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://webpages.charter.net/stuffle/linux/preps/%{name}-%{version}.tar.gz
# Source0-md5:	a23d6fb06a4bb09eca4f8f7da3e139ae
Patch0:		%{name}-nostatic.patch
Patch1:		%{name}-plpgsql_include_path.patch
Patch2:		%{name}-shell.patch
Patch3:		%{name}-postgres-server.patch
Patch4:		%{name}-glibc.patch
URL:		http://webpages.charter.net/stuffle/linux/preps/preps.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	libtool
BuildRequires:	postgresql-backend-devel >= 7.2
BuildRequires:	postgresql-devel >= 7.2
BuildRequires:	tetex-dvips
# Requires:	postgresql-clients
Requires:	postgresql-module-plpgsql >= 7.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RepS is a simple Problem Reporting System. PRepS is designed around
the bug tracking needs of small to medium sized software projects.
However, PRepS may be flexible enough to be used for other types of
problem or status tracking. For example, PRepS could be setup to track
things that need fixing around the house. Be creative.

The libPRepS package contains the server side scripts used to create
and update PRepS databases. It also contains libpreps. libpreps is a
library that contains routines used by the server.

%description -l pl
PRepS suy do kontroli i zarzdzania bdami. PRepS zosta
zaprojektowany do maych i rednich projektw. Mimo to jest na tyle
elastyczny, e moe by uywany przy innych rodzajach problemw
wymagajcych kontroli postpu prac. Moe by na przykad uyty w domu
do nadzoru rzeczy wymagajcych naprawy.

Pakiet libPRepS zawiera skrypty umoliwiajce tworzenie i aktualizacj
baz danych dla serwera. Zawiera te bibliotek libpreps, zawierajc
procedury wykorzystywane przez serwer.

%package devel
Summary:	Header files for libPRepS
Summary(pl):	Pliki nagwkowe dla libPRepS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package is necessary to compile programs which use libPRepS, eg.
PRepS server.

%description devel -l pl
Pakiet ten jest niezbdny podczas kompilacji programw korzystajcych
z biblioteki libPRepS, w szczeglnoci serwera PRepS.

%package static
Summary:	Static libPRepS library
Summary(pl):	Biblioteka statyczna libPRepS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libPRepS library.

%description static -l pl
Statyczna wersja biblioteki libPRepS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f doc/html/Makefile*
mv -f doc/html doc/programmer

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL NEWS README doc/*.fig
%doc doc/C/{prepsdb-admin-manual,preps-FAQ}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_datadir}/libpreps
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc doc/programmer
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/preps

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpreps.spec,v $
Revision 1.17  2006/12/20 12:05:26  hawk
- release 2 to rebuil with PostgreSQL 8.2

Revision 1.16  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.15  2004/04/06 21:47:37  qboosh
- updated to 1.9.0 for preps 1.9.x, updated patches

Revision 1.14  2003/05/28 12:59:31  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:50:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/11/25 14:16:59  ankry
- massive attack: no need for 755 for *.la

Revision 1.11  2002/10/09 09:11:55  qboosh
- BR: libtool; new %%doc

Revision 1.10  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.9  2002/05/21 23:13:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/05/08 09:32:24  marcus
- addedd patch for fixing including postgres.h

Revision 1.7  2002/05/07 13:36:59  kloczek
- relase 2.

Revision 1.6  2002/05/07 13:10:31  qboosh
- removed COPYING from doc (known - GPL)
- added --foreign to automake to avoid destroying INSTALL (which contains information
  about creating of databases)

Revision 1.5  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.4  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.3  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/28 02:04:21  kloczek
- cosmetics.

Revision 1.1  2002/01/28 01:06:26  ankry
- initial release

Splited preps.spec
